> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/png-verification.md).

# PNG Verification

This API is used to verify PNG connections using either Consumer ID or Business Partner Number. It supports both individual and business connections.

## png\_verification

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/png_verification`

#### Sample Request Body

<table><thead><tr><th width="145.46484375">Body</th><th width="90.90234375">Type</th><th width="120.5625">Mandatory</th><th width="192.41015625">Dependency Condition</th><th width="214.21484375">Description</th></tr></thead><tbody><tr><td>consumerId</td><td>string</td><td>Optional</td><td>Either consumerId or businessPartnerNumber is Required</td><td>Consumer Id of PNG Connection</td></tr><tr><td>businessPartnerNumber</td><td>string</td><td>Optional</td><td>Either consumerId or businessPartnerNumber is Required</td><td>Business Partner Number of PNG Connection</td></tr><tr><td>serviceProvider</td><td>string</td><td>Yes</td><td>-</td><td>Service Provider of PNG Connection</td></tr><tr><td>consent</td><td>string</td><td>Yes</td><td>-</td><td>Consent</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "consent": "Y",
    "consumerId": "",
    "businessPartnerNumber": "1000031234",
    "serviceProvider": "IG"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "bde63acb-1e76-4117-a21d-c75192f5744d",
    "status": "completed",
    "result": {
        "customerName": "URBA XXXX",
        "email": "",
        "billNumber": "100000031234",
        "billDate": "",
        "dueDate": "07/05/2026",
        "billAmount": "0.00",
        "customerAddress": ""
    },
    "requested_at": "2026-06-05T06:08:09.675Z",
    "completed_at": "2026-06-05T06:08:11.823Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d1bbfb97-c82f-475d-b666-07e7b258f3da",
    "status": "in_progress",
    "requested_at": "2026-06-05T06:08:09.675Z",
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid Consumer Id",
    "error": {
        "message": "Invalid Consumer Id",
        "field": "consumerId",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid Business Partner Number",
    "error": {
        "message": "Invalid Business Partner Number",
        "field": "businessPartnerNumber",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Invalid Service Provider",
    "error": {
        "message": "Invalid Service Provider",
        "field": "serviceProvider",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Service Provider Number should not be empty",
    "error": {
        "message": "Service Provider should not be empty",
        "field": "serviceProvider",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Either Consumer Id or Business Partner Number is required",
    "error": {
        "message": "Either Consumer Id or Business Partner Number is required",
        "code": "BAD_REQUEST"
    }
}

```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "548025c4-9528-4502-958a-5b1226a63a60",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-06-05T06:08:16.129Z",
    "completed_at": "2026-06-05T06:08:17.541Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/png_verification`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "bde63acb-1e76-4117-a21d-c75192f5744d",
    "status": "completed",
    "result": {
        "customerName": "URBA XXXXX",
        "email": "",
        "billNumber": "100000031234",
        "billDate": "",
        "dueDate": "07/05/2026",
        "billAmount": "0.00",
        "customerAddress": ""
    },
    "requested_at": "2026-06-05T06:08:09.675Z",
    "completed_at": "2026-06-05T06:08:11.823Z"
}
```

{% endtab %}

{% tab title="200: In progress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d1bbfb97-c82f-475d-b666-07e7b258f3da",
    "status": "in_progress",
    "requested_at": "2026-06-05T06:08:09.675Z",
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "548025c4-9528-4502-958a-5b1226a63a60",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-06-05T06:08:16.129Z",
    "completed_at": "2026-06-05T06:08:17.541Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/png-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
